dhall-1.19.1: A configuration language guaranteed to terminate

Safe Haskell | None
Language | Haskell2010

Dhall.Format

Contents

- Format

Description

This module contains the implementation of the `dhall format` subcommand

Synopsis

- format :: CharacterSet -> Maybe FilePath -> IO ()

# Format

format Source #

Arguments

:: CharacterSet |
-> Maybe FilePath | Modify file in-place if present, otherwise read from `stdin` and write to `stdout`
-> IO () |

Implementation of the `dhall format` subcommand